"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadFile = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const vars_helper_1 = require("./vars.helper");
const loadFile = (fileName, throwError = true) => {
    const filePath = (0, path_1.resolve)((0, path_1.resolve)(process.cwd(), fileName));
    if ((0, fs_1.existsSync)(filePath)) {
        console.log(vars_helper_1.cliColors.cyanAndBold, `> Loading config from ${fileName}`);
        return require(filePath);
    }
    if (throwError) {
        new Error(`${filePath} does not exist.`);
    }
    return null;
};
exports.loadFile = loadFile;
